[メモ]PHP7.2.xインストール[memo]

おはこんちは
そろそろ、PHP7.2.x系を入れようかなと思ってから一月くらい・・・
※かなりハマりまくった・・・orz

 

 

EPELレポジトリの追加

rpm -ivh http://ftp-srv2.kddilabs.jp/Linux/distributions/fedora/epel/6/x86_64/epel-release-6-8.noarch.rpm

remiレポジトリの追加

rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

libzipインストール
yum –enablerepo=remi install libzip-last-devel
競合している場合、一旦yum remove libzip libzip-develを実行

php7.2.xインストール

wget http://jp2.php.net/get/php-7.2.x.tar.bz2/from/this/mirror -O php-7.2.x.tar.bz2
tar jxvf php-7.2.x.tar.bz2
cd php-7.2.x
./configure \
 --prefix=PHPのインストール先 \
 --with-apxs2=アパッチのapxsのある場所 \
 --with-openssl \
 --with-zlib \
 --with-curl=/usr/local \
 --enable-exif \
 --enable-ftp \
 --with-gd \
 --with-jpeg-dir \
 --with-png-dir \
 --with-libzip \
 --with-freetype-dir \
 --with-gettext \
 --with-mysqli \
 --with-pdo-mysql \
 --with-pdo-pgsql \
 --with-pgsql \
 --enable-sockets \
 --enable-zip \
 --enable-shared \
 --enable-mbstring \
 --enable-mbregex \
 --enable-pcntl \
 --enable-soap \
 --enable-fpm \
 --with-fpm-user=user \
 --with-fpm-group=user
make
make install
mongoDBを使用するので、mongodbのモジュールをインストール
wget http://pecl.php.net/get/mongodb-1.4.2.tgz
tar zxvf mongodb-1.4.2.tgz
cd mongodb-1.4.2
PHPのインストール先/bin/phpize
make clean
./configure --with-php-config=PHPのインストール先/bin/php-config
make all
make install
ImageMagickのインストール
wget https://www.imagemagick.org/download/ImageMagick.tar.gz
tar xvzf ImageMagick.tar.gz
cd ImageMagick-x.x.x
./configure
make
make install
ldconfig
ImageMagickを使用するので、モジュールをインストール
wget http://pecl.php.net/get/imagick-3.4.3.tgz
tar zxvf imagick-3.4.3.tgz
cd imagick-3.4.3
PHPのインストール先/bin/phpize
make clean
./configure \
--with-php-config=PHPのインストール先/bin/php-config \
make all
make install

以下のエラーが出る場合
Deprecated: Directive ‘track_errors’ is deprecated in Unknown on line 0
php.iniの以下の部分をOffにする
track_errors = On

track_errors = Off

スポンサーリンク

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

This site uses Akismet to reduce spam. Learn how your comment data is processed.